package com.brilliance.isc.model.usr;

import java.math.BigDecimal;
import java.util.List;

/**
 * (Usr)实体类
 *
 * @author makejava
 * @since 2022-11-14 09:34:18
 */
public class Usr {
    /**
     * 内部唯一Id
     */
    private String inr;

    /**
     * 用户ID
     */
    private String extkey;

    /**
     * 用户名
     */
    private String nam;

    /**
     * 禁止登录
     */
    private String lgiflg;

    /**
     * 最近登录时间
     */
    private String ssnbegdattim;

    /**
     * SSN ID
     */
    private String ssninr;

    /**
     * 版本号
     */
    private String ver;

    /**
     * 实体标志
     */
    private String pri;

    /**
     * 实体
     */
    private String ety;

    /**
     * 用户组
     */
    private String usg;

    /**
     * 最近DIA查看时间
     */
    private String lstdiadat;

    /**
     * 授权币种
     */
    private String relcur;

    /**
     * 授权金额
     */
    private BigDecimal relamt;

    /**
     * 第二授权金额
     */
    private BigDecimal relamt2nd;

    /**
     * 授权组
     */
    private String relgrp;

    /**
     * 电话
     */
    private String tel;

    /**
     * 传真
     */
    private String fax;

    /**
     * 电子信箱
     */
    private String eml;

    /**
     * 可用时间
     */
    private BigDecimal quepow;

    /**
     * 实体名称
     */
    private String etyextkey;

    /**
     * 组织
     */
    private String oenr;

    /**
     * 实体地址
     */
    private String etaextkey;

    /**
     * 客户经理
     */
    private String resusrflg;

    /**
     * 用户状态
     */
    private String secsta;

    /**
     * 信件的组织单位
     */
    private String letoenr;

    /**
     * ubr信息
     */
    private List<Ubr> ubrList;

    /**
     * ucl信息
     */
    private List<Ucl> uclList;


    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getLgiflg() {
        return lgiflg;
    }

    public void setLgiflg(String lgiflg) {
        this.lgiflg = lgiflg;
    }

    public String getSsnbegdattim() {
        return ssnbegdattim;
    }

    public void setSsnbegdattim(String ssnbegdattim) {
        this.ssnbegdattim = ssnbegdattim;
    }

    public String getSsninr() {
        return ssninr;
    }

    public void setSsninr(String ssninr) {
        this.ssninr = ssninr;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getPri() {
        return pri;
    }

    public void setPri(String pri) {
        this.pri = pri;
    }

    public String getEty() {
        return ety;
    }

    public void setEty(String ety) {
        this.ety = ety;
    }

    public String getUsg() {
        return usg;
    }

    public void setUsg(String usg) {
        this.usg = usg;
    }

    public String getLstdiadat() {
        return lstdiadat;
    }

    public void setLstdiadat(String lstdiadat) {
        this.lstdiadat = lstdiadat;
    }

    public String getRelcur() {
        return relcur;
    }

    public void setRelcur(String relcur) {
        this.relcur = relcur;
    }

    public BigDecimal getRelamt() {
        return relamt;
    }

    public void setRelamt(BigDecimal relamt) {
        this.relamt = relamt;
    }

    public BigDecimal getRelamt2nd() {
        return relamt2nd;
    }

    public void setRelamt2nd(BigDecimal relamt2nd) {
        this.relamt2nd = relamt2nd;
    }

    public String getRelgrp() {
        return relgrp;
    }

    public void setRelgrp(String relgrp) {
        this.relgrp = relgrp;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public String getEml() {
        return eml;
    }

    public void setEml(String eml) {
        this.eml = eml;
    }

    public BigDecimal getQuepow() {
        return quepow;
    }

    public void setQuepow(BigDecimal quepow) {
        this.quepow = quepow;
    }

    public String getEtyextkey() {
        return etyextkey;
    }

    public void setEtyextkey(String etyextkey) {
        this.etyextkey = etyextkey;
    }

    public String getOenr() {
        return oenr;
    }

    public void setOenr(String oenr) {
        this.oenr = oenr;
    }

    public String getEtaextkey() {
        return etaextkey;
    }

    public void setEtaextkey(String etaextkey) {
        this.etaextkey = etaextkey;
    }

    public String getResusrflg() {
        return resusrflg;
    }

    public void setResusrflg(String resusrflg) {
        this.resusrflg = resusrflg;
    }

    public String getSecsta() {
        return secsta;
    }

    public void setSecsta(String secsta) {
        this.secsta = secsta;
    }

    public String getLetoenr() {
        return letoenr;
    }

    public void setLetoenr(String letoenr) {
        this.letoenr = letoenr;
    }

    public List<Ubr> getUbrList() {
        return ubrList;
    }

    public void setUbrList(List<Ubr> ubrList) {
        this.ubrList = ubrList;
    }

    public List<Ucl> getUclList() {
        return uclList;
    }

    public void setUclList(List<Ucl> uclList) {
        this.uclList = uclList;
    }

}

